Debian Bug report logs - #690268
unburden-home-dir: Wrong type given in example configuration for .aptitude/cache

version graph

Package: unburden-home-dir; Maintainer for unburden-home-dir is Axel Beckert <abe@debian.org>; Source for unburden-home-dir is src:unburden-home-dir.

Reported by: Axel Beckert <abe@debian.org>

Date: Thu, 11 Oct 2012 19:45:05 UTC

Severity: minor

Found in version unburden-home-dir/0.3.1

Fixed in version unburden-home-dir/0.3.1.2

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to abe@debian.org:
Bug#690268; Package unburden-home-dir. (Thu, 11 Oct 2012 19:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and filed, but not forwarded. Copy sent to abe@debian.org.

You requested that the message be sent to the package maintainer(s) but either the Bug report is not associated with any package (probably because of a missing Package pseudo-header field in the original Bug report), or the package(s) specified do not have any maintainer(s).

Your message has *not* been sent to any package maintainers; it has merely been filed in the Bug tracking system. If you require assistance please contact owner@bugs.debian.org quoting the Bug number 690268.

(Thu, 11 Oct 2012 19:45:07 GMT) Full text and rfc822 format available.


Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: unburden-home-dir: Wrong type given in example configuration for .aptitude/cache
Date: Thu, 11 Oct 2012 21:41:42 +0200
Package: unburden-home-dir
Version: 0.3.1
Severity: minor

$ fgrep aptitude /etc/unburden-home-dir.list
#m d .aptitude/cache aptitude-cache
$

"d" means that unburden-home-dir should expect a directory named
.aptitude/cache, but .aptitude/cache is an SQLite file. Hence
unburden-home-dir throws an error if this example is used.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages unburden-home-dir depends on:
ii  dpkg                 1.16.8
ii  libconfig-file-perl  1.50-2
ii  libfile-rsync-perl   0.42-2
ii  libfile-touch-perl   0.08-1
ii  libfile-which-perl   1.09-1
ii  libmodern-perl-perl  1.20120521-1
ii  perl                 5.14.2-13
ii  x11-common           1:7.7+1

Versions of packages unburden-home-dir recommends:
ii  lsof  4.86+dfsg-1

Versions of packages unburden-home-dir suggests:
ii  agedu       8928-1
ii  autotrash   0.1.5-1
ii  baobab      3.4.1-1
pn  bleachbit   <none>
ii  eatmydata   26-2
ii  ncdu        1.8-1
ii  tmpreaper   1.6.13+nmu1
ii  xdiskusage  1.48-10.1
ii  xdu         3.0-18

-- Configuration Files:
/etc/default/unburden-home-dir changed:
UNBURDEN_HOME=true

/etc/unburden-home-dir.list changed:
m D .cache cache
m D .thumbnails thumbnails
m f .config/google-chrome/*/Thumbnails google-chrome-thumbnails-%1
m f .config/google-chrome/*/Thumbnails-journal google-chrome-thumbnails-journal-%1
m f .config/chromium/*/Thumbnails google-chrome-thumbnails-%1
m f .config/chromium/*/Thumbnails-journal google-chrome-thumbnails-journal-%1
m d .mozilla/default/*/Cache mozilla-default-cache-%1
m d .mozilla/default/*/startupCache mozilla-default-startup-cache-%1
m d .mozilla/firefox/*/Cache firefox-cache-%1
m d .mozilla/firefox/*/startupCache firefox-startup-cache-%1
m d .mozilla/firefox/*/Cache.Trash firefox-cache-trash-%1
m d .conkeror.mozdev.org/conkeror/*/Cache conkeror-cache-%1
m d .conkeror.mozdev.org/conkeror/*/startupCache conkeror-startup-cache-%1
m d .conkeror.mozdev.org/conkeror/*/Cache.Trash conkeror-cache-trash-%1
m d .kazehakase/mozilla/kazehakase/Cache kazehakase-cache
m d .galeon/mozilla/galeon/Cache galeon-cache
m d .gnome2/epiphany/mozilla/epiphany/Cache epiphany-cache
m d .xxxterm/cache xxxterm-cache
m d .forg/cache forg-cache
m d .opera/cache opera-cache
m d .opera/cache4 opera-cache4
m d .opera/opcache opera-opcache
m d .opera/cacheOp opera-cacheOp
m d .thunderbird/*/Cache thunderbird-cache-%1
m d .mozilla-thunderbird/*/Cache debian-thunderbird-cache-%1
m d .icedove/*/Cache icedove-cache-%1
m d .buzzbird/*/Cache buzzbird-cache
m f .aptitude/cache aptitude-cache
m d .wesnoth*/cache wesnoth%1-cache
m d .gaia/cache gaia-cache
m d .java/deployment/cache java-deployment-cache
m d .adobe/Acrobat/*/Cache adobe-acrobat-%1-cache
m d .shotwell/thumbs shotwell-thumbs
r D .Trash trash
r D .local/Trash local-trash


-- no debconf information



Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 11 Oct 2012 20:00:06 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Sat, 27 Oct 2012 23:15:16 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Sat, 27 Oct 2012 23:15:16 GMT) Full text and rfc822 format available.

Message #12 received at 690268-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 690268-close@bugs.debian.org
Subject: Bug#690268: fixed in unburden-home-dir 0.3.1.2
Date: Sat, 27 Oct 2012 23:03:10 +0000
Source: unburden-home-dir
Source-Version: 0.3.1.2

We believe that the bug you reported is fixed in the latest version of
unburden-home-dir, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690268@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated unburden-home-dir package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 27 Oct 2012 17:25:44 +0200
Source: unburden-home-dir
Binary: unburden-home-dir
Architecture: source all
Version: 0.3.1.2
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 unburden-home-dir - Remove or move cache files automatically from user's home
Closes: 690265 690266 690268 691619
Changes: 
 unburden-home-dir (0.3.1.2) unstable; urgency=low
 .
   * Option -F doesn't have a parameter, so don't let it consume one (which
     could be another option which then will be ignored, e.g. the dry-run
     option -n; Closes: #691619)
   * Fix comment about usage in etc/unburden-home-dir — it's no more a POSIX
     shell fragment, but parsed by Config::File. (Closes: #690266)
   * Minor bugfix for example config files (Closes: #690268)
   * Update $VERSION in bin/unburden-home-dir which had been forgotten
     since 0.3. Add test so that this doesn't happen again. (Closes: #690265)
   * Add missing options to --help message and reorder it slightly.
   * More documentation updates and fixes.
Checksums-Sha1: 
 bf6cde933cfcf6be16cb06df44441720de3ede72 1127 unburden-home-dir_0.3.1.2.dsc
 44fa32f4d3edb6dc7dfb07d96fd63671a7de8300 27393 unburden-home-dir_0.3.1.2.tar.gz
 32f0681a6cb19ca24393b364b0ed58954d2dfc43 19508 unburden-home-dir_0.3.1.2_all.deb
Checksums-Sha256: 
 60b09009a9b5f9cde20435e0897f03286c7db3613bab5b727835e879a8d6b726 1127 unburden-home-dir_0.3.1.2.dsc
 aecf1137fe39a303d5f6c26f8bfffe6fdedb2a455073784527cce183caf100e1 27393 unburden-home-dir_0.3.1.2.tar.gz
 df481aedb8c8e76702c6e19d4b22d035a5a7c7de7672f69486dc2400abd19fc6 19508 unburden-home-dir_0.3.1.2_all.deb
Files: 
 14269bbfbd4e1bea8c052e0e3b4401c6 1127 x11 extra unburden-home-dir_0.3.1.2.dsc
 2d9a8335a2f69c2c5421adc7123a475e 27393 x11 extra unburden-home-dir_0.3.1.2.tar.gz
 5d718f905b24e743eb15e554c214ed89 19508 x11 extra unburden-home-dir_0.3.1.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCMZTcACgkQwJ4diZWTDt5eFgCfe0E7DwLwbxjWX0kzYwFrAgUz
HV4An2b/ehrgiocIebtSWoiAUdH+wCBF
=Qy64
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Dec 2012 07:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:04:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.